package com.persagy.apm.energyalarmstarter.alarmdata.constant;

/**
 * 报警中心url
 *
 * @author lixing
 * @version V1.0 2021/9/15 8:18 下午
 */
public class RequestUrlConstant {

    private static final String QUERY = "query";
    private static final String CREATE = "create";
    private static final String BATCH_CREATE = "batch_create";
    private static final String UPDATE = "update";
    private static final String BATCH_UPDATE = "batch_update";
    private static final String DELETE = "delete";
    private static final String BATCH_DELETE = "batch_delete";

    /**
     * 报警定义
     */
    private static final String ALARM_CONFIG = "/alarm/config/";
    public static final String ALARM_CONFIG_QUERY = ALARM_CONFIG + QUERY;
    public static final String ALARM_CONFIG_CREATE = ALARM_CONFIG + CREATE;
    public static final String ALARM_CONFIG_BATCH_CREATE = ALARM_CONFIG + BATCH_CREATE;
    public static final String ALARM_CONFIG_UPDATE = ALARM_CONFIG + UPDATE;
    public static final String ALARM_CONFIG_BATCH_UPDATE = ALARM_CONFIG + BATCH_UPDATE;
    public static final String ALARM_CONFIG_DELETE = ALARM_CONFIG + DELETE;
    public static final String ALARM_CONFIG_BATCH_DELETE = ALARM_CONFIG + BATCH_DELETE;

    /**
     * 报警记录
     */
    private static final String ALARM_RECORD = "/alarm/record/";
    public static final String ALARM_RECORD_QUERY = ALARM_RECORD + QUERY;
    public static final String ALARM_RECORD_CREATE = ALARM_RECORD + CREATE;
    public static final String ALARM_RECORD_UPDATE = ALARM_RECORD + UPDATE;
    public static final String ALARM_RECORD_BATCH_UPDATE = ALARM_RECORD + BATCH_UPDATE;

    /**
     * 报警条目
     */
    private static final String ALARM_ITEM = "/alarm/item/";
    public static final String ALARM_ITEM_QUERY = ALARM_ITEM + QUERY;

    /**
     * 报警批注
     */
    private static final String ALARM_COMMENT = "/alarm/comment/";
    public static final String ALARM_COMMENT_QUERY = ALARM_COMMENT + QUERY;
    public static final String ALARM_COMMENT_CREATE = ALARM_COMMENT + CREATE;

    /**
     * 报警字典
     */
    private static final String DIC_DATA = "/dic/dt/data/";
    public static final String DIC_DATA_QUERY = DIC_DATA + QUERY;
}
