package com.persagy.apm.energyalarmstarter.alarmdata.feign;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 数据中台返回值通用类
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/28 15:40
 * @version: V1.0
 */
@Data
public class DmpResult<T> implements Serializable {

    /**
     * 成功
     */
    public final static String SUCCESS = "success";

    /**
     * 失败
     */
    public final static String FAILURE = "fail";

    private String result;

    private T data;

    private Integer count;

    private String message;

}
