package com.persagy.apm.energyalarmstarter.alarmdata.feign.fallback;

import com.persagy.apm.energyalarmstarter.alarmdata.feign.client.DicClient;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;


/**
 * 降级处理
 *
 * @author lixing
 * @version V1.0 2021/9/15 10:59 下午
 */
@Slf4j
public class DicClientFallbackFactory implements FallbackFactory<DicClient> {

    @Override
    public DicClient create(Throwable throwable) {
        return null;
    }
}
