package com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmcomment;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.common.UrlParamDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 查询报警批注dto
 *
 * @author lixing
 * @version V1.0 2021/9/16 9:33 上午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QueryAlarmCommentDTO extends UrlParamDTO {
    /**
     * 批注id
     */
    private String id;
    /**
     * 报警记录id
     */
    private String recordId;
    /**
     * 批注内容
     */
    private String content;
}
