package com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmrecord;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.common.UrlParamDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 批量更新报警记录dto
 *
 * @author lixing
 * @version V1.0 2021/9/15 9:10 下午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BatchUpdateAlarmRecordDTO extends UrlParamDTO {
    private List<UpdateAlarmRecordDTO> alarmRecordModels;
}