package com.persagy.apm.energyalarmstarter.alarmdata.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.AlarmCondition;
import lombok.Data;

import java.util.Date;

/**
 * 报警批注
 *
 * @author lixing
 * @version V1.0 2021/9/16 9:33 上午
 **/
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmCommentItem {
    /**
     * 批注id
     */
    private String id;
    /**
     * 报警记录id
     */
    private String recordId;
    /**
     * 批注内容
     */
    private String content;
    /**
     * 创建人id
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createTime;
}
