package com.persagy.apm.energyalarmstarter.alarmengine.feign;

import lombok.Builder;
import lombok.Data;

/**
 * 基础请求类
 *
 * @author lixing
 * @version V1.0 2021/10/22 2:23 下午
 **/
@Data
@Builder
public class BaseRequestBody {
    /**
     * 当前用户id
     */
    private String userId;
    /**
     * 当前用户密码
     */
    private String pd;
    /**
     * 集团编码
     */
    private String groupCode;
    /**
     * 项目id
     */
    private String projectId;
}
