package com.persagy.apm.energyalarmstarter.alarmengine.feign;

import lombok.Data;

import java.util.List;

/**
 * 报警规则
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:43:58
 */
@Data
public class CalculateMethodDTO {
    /**
     * 操作符
     */
    private String operator;
    
    /**
     * 公式
     */
    private List<Formula> formula;
    
    /**
     * 监测指标id
     */
    private String monitorIndicatorId;

    /**
     * 监测指标name
     */
    private String monitorIndicatorName;
    
    /**
     * 临时存储公式
     */
    private String tempFormula;
    
}
