package com.persagy.apm.energyalarmstarter.alarmengine.feign.fallback;

import com.persagy.apm.energyalarmstarter.alarmengine.feign.client.EnergyAlarmServiceClient;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 降级处理
 *
 * @author lixing
 * @version V1.0 2021/9/15 10:59 下午
 */
@Slf4j
@Component
public class EnergyAlarmServiceClientFallbackFactory implements FallbackFactory<EnergyAlarmServiceClient> {
    @Override
    public EnergyAlarmServiceClient create(Throwable throwable) {
       return null;
    }
}
