package com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmitem;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.common.UrlParamDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 报警条目
 *
 * @author lixing
 * @version V1.0 2021/9/16 9:33 上午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QueryAlarmItemDTO extends UrlParamDTO {
    /**
     * 条目id
     */
    private List<String> id;
    /**
     * 条目编码
     */
    private List<String> code;
    /**
     * 条目名称
     */
    private String name;
    /**
     * 报警系统
     */
    private List<String> category;
    /**
     * 报警等级
     */
    private List<String> level;
}
