package com.persagy.apm.energyalarmstarter.alarmdata.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.AlarmCondition;
import lombok.Data;

import java.util.Date;

/**
 * 报警条目
 *
 * @author lixing
 * @version V1.0 2021/9/16 9:33 上午
 **/
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmItem {
    /**
     * 条目id
     */
    private String id;
    /**
     * 条目编码
     */
    private String code;
    /**
     * 条目名称
     */
    private String name;
    /**
     * 报警系统
     */
    private String category;
    /**
     * 报警等级
     */
    private String level;
}
