package com.persagy.apm.energyalarmstarter.alarmdata.utils;

import com.alibaba.fastjson.JSONObject;

/**
 * 对象转换为JSONObject
 *
 * @author lixing
 * @version V1.0 2021/9/15 11:26 下午
 **/
public class Obj2JSONObject {
    public static JSONObject convert(Object o) throws Exception{
        // 为空的字段会被过滤掉
        String jsonStr = JSONObject.toJSONString(o);
        return JSONObject.parseObject(jsonStr);
    }

    public static String convert2Str(Object o) throws Exception{
        // 为空的字段会被过滤掉
        return JSONObject.toJSONString(o);
    }

    public static <T> T reverse(JSONObject jsonObject, Class<T> clazz) throws Exception{
        return JSONObject.toJavaObject(jsonObject, clazz);
    }
}
