package com.persagy.apm.energyalarmstarter.alarmdata.utils;

import com.alibaba.fastjson.JSONObject;
import org.apache.commons.lang3.StringUtils;

/**
 * @description:
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/3 4:40 下午
 * @version: V1.0
 **/
public class StringUtil {
    public static <T, R> T transferItemToDTO(String content, Class<T> t) throws Exception {
        if (StringUtils.isNotBlank(content)) {
            return JSONObject.parseObject(content, t);
        }
        return t.newInstance();
    }


}
