package com.persagy.apm.energyalarmstarter.alarmengine.feign;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 设备与报警条件的关联
 *
 * @author lixing
 * @version V1.0 2021/10/22 9:42 上午
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ObjConditionRel {
    /**
     * 报警对象id
     */
    private String objId;
    /**
     * 报警类型编码
     */
    private String itemCode;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 报警条件id
     */
    private String conditionId;
}
